Skip to content
Guides
API reference
stable

Get customer order

Customer order detail with items, shipping, payments and status timeline

GET/v1/customer/orders/{orderId}

Customer order detail with items, shipping, payments and status timeline

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/customer/orders/string"
{  "id": "string",  "orderNumber": "string",  "orderGroup": null,  "status": "string",  "total": 0.1,  "totalPaid": 0.1,  "currencyCode": "string",  "orderDate": "2019-08-24T14:15:22Z",  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null,  "paymentAt": null,  "subTotal": 0.1,  "discount": 0.1,  "shipping": 0.1,  "tax": 0.1,  "email": null,  "phone": null,  "firstName": null,  "lastName": null,  "shippingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "shippingAddressSummary": null,  "billingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "items": [    {      "id": "string",      "orderId": "string",      "productId": null,      "variantId": null,      "title": "string",      "subtitle": null,      "thumbnail": null,      "variantTitle": null,      "productHandle": null,      "quantity": 0.1,      "unitPrice": 0.1,      "total": 0.1,      "status": "string"    }  ],  "payments": [    {      "id": "string",      "paymentMethod": "string",      "paymentCode": "string",      "amount": 0.1,      "paymentStatus": null,      "receiptUrl": null,      "createdOn": "2019-08-24T14:15:22Z"    }  ],  "statusTimeline": [    {      "key": "string",      "label": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "description": null,      "status": null,      "source": "string"    }  ]}